Pull an image to a pool
POST
/container/images/{pool}/pull
const url = 'https://sylve.lan:8181/api/container/images/example/pull';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"image":"example","os":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/container/images/example/pull \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "image": "example", "os": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pool
required
string
Pool
Request Body
Section titled “Request Body”Image
Media typeapplication/json
object
image
required
string
os
string
Examplegenerated
{ "image": "example", "os": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}